## nepomuk-core 4.13.0

=== common/CMakeLists.txt ===
project(nepomuk_common)

set(nepomukcommon_SRCS
  fileexcludefilters.cpp
  regexpcache.cpp
  removablemediacache.cpp
)

kde4_add_library(nepomukcommon SHARED ${nepomukcommon_SRCS})

target_link_libraries(nepomukcommon
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBRARY}
  ${KDE4_SOLID_LIBRARY}
  nepomukcore
  )

install(TARGETS nepomukcommon ${INSTALL_TARGETS_DEFAULT_ARGS})

# Note: no headers installed since this is a private shared lib

=== libnepomukcore/CMakeLists.txt ===
project(libnepomukcore)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=300000)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file(misc/nepomukversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/nepomukversion.h)

set(nepomuk_resource_SRCS
  resource/variant.cpp
  resource/resourcedata.cpp
  resource/resourcemanager.cpp
  resource/nepomukmainmodel.cpp
  resource/resource.cpp
  resource/file.cpp
  resource/tag.cpp
)

set(nepomuk_service_SRCS
  service/nepomukservice.cpp
  service/service2.cpp
  service/servicecontrol2.cpp
  ../servicestub/priority.cpp
)

qt4_add_dbus_adaptor(nepomuk_service_SRCS
  ../interfaces/org.kde.nepomuk.ServiceControl.xml
  servicecontrol2.h
  Nepomuk2::ServiceControl2)

set(nepomuk_types_SRCS
  types/entity.cpp
  types/ontology.cpp
  types/class.cpp
  types/property.cpp
  types/literal.cpp
  types/entitymanager.cpp
)

set(nepomuk_query_SRCS
  query/term.cpp
  query/negationterm.cpp
  query/orterm.cpp
  query/andterm.cpp
  query/comparisonterm.cpp
  query/simpleterm.cpp
  query/groupterm.cpp
  query/resourceterm.cpp
  query/literalterm.cpp
  query/resourcetypeterm.cpp
  query/optionalterm.cpp
  query/query.cpp
  query/filequery.cpp
  query/queryparser.cpp
  query/dateparser.cpp
  query/result.cpp
  query/resultiterator.cpp
  query/queryserviceclient.cpp
  query/dbusoperators.cpp
  query/queryserializer.cpp
  query/standardqueries.cpp
)

set_source_files_properties(
  ../interfaces/org.kde.nepomuk.QueryService.xml
  PROPERTIES INCLUDE "dbusoperators_p.h")
set_source_files_properties(
  ../interfaces/org.kde.nepomuk.Query.xml
  PROPERTIES INCLUDE "result.h")

qt4_add_dbus_interface(nepomuk_query_SRCS
  ../interfaces/org.kde.nepomuk.QueryService.xml
  queryserviceinterface)
qt4_add_dbus_interface(nepomuk_query_SRCS
  ../interfaces/org.kde.nepomuk.Query.xml
  queryinterface)

set(nepomuk_misc_SRCS
  misc/utils.cpp
  misc/nepomukversion.cpp
)

set(nepomuk_datamanagement_SRCS
  datamanagement/abstracttimeoutdbusinterface.cpp
  datamanagement/datamanagement.cpp
  datamanagement/dbustypes.cpp
  datamanagement/genericdatamanagementjob.cpp
  datamanagement/simpleresource.cpp
  datamanagement/createresourcejob.cpp
  datamanagement/datamanagementinterface.cpp
  datamanagement/describeresourcesjob.cpp
  datamanagement/resourcewatcher.cpp
  datamanagement/simpleresourcegraph.cpp
  datamanagement/storeresourcesjob.cpp
)

qt4_add_dbus_interface(nepomuk_datamanagement_SRCS
  ../interfaces/org.kde.nepomuk.ResourceWatcherConnection.xml
  resourcewatcherconnectioninterface)

qt4_add_dbus_interface(nepomuk_datamanagement_SRCS
  ../interfaces/org.kde.nepomuk.ResourceWatcher.xml
  resourcewatchermanagerinterface)

set(nepomuk_LIB_SRCS
  ${nepomuk_resource_SRCS}
  ${nepomuk_service_SRCS}
  ${nepomuk_misc_SRCS}
  ${nepomuk_types_SRCS}
  ${nepomuk_query_SRCS}
  ${nepomuk_datamanagement_SRCS}
)

soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig" "NIE" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nfo.trig" "NFO" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/ncal.trig" "NCAL" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nco.trig" "NCO" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nmo.trig" "NMO" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nmm.trig" "NMM" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nexif.trig" "NEXIF" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/pimo/pimo.trig" "PIMO" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/pimo/tmo.trig" "TMO" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nepomuk/nuao.trig" "NUAO" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")
soprano_add_ontology(nepomuk_LIB_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nepomuk/ndo.trig" "NDO" "Nepomuk2::Vocabulary" "trig" VISIBILITY "nepomuk")

kde4_add_library(nepomukcore SHARED ${nepomuk_LIB_SRCS})

target_link_libraries(nepomukcore
  ${SOPRANO_LIBRARIES}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
)

target_link_libraries(nepomukcore
  LINK_INTERFACE_LIBRARIES
  ${KDE4_KDECORE_LIBS}
  ${SOPRANO_LIBRARIES})


set_target_properties(nepomukcore PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS nepomukcore EXPORT NepomukCoreLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  nepomuk_export.h
  resource/variant.h
  resource/resourcemanager.h
  resource/resource.h
  resource/tag.h
  resource/file.h
  service/nepomukservice.h
  service/service2.h
  types/entity.h
  types/class.h
  types/property.h
  types/ontology.h
  types/literal.h
  misc/utils.h
  query/term.h
  query/negationterm.h
  query/orterm.h
  query/andterm.h
  query/comparisonterm.h
  query/simpleterm.h
  query/groupterm.h
  query/resourceterm.h
  query/literalterm.h
  query/resourcetypeterm.h
  query/optionalterm.h
  query/query.h
  query/filequery.h
  query/result.h
  query/resultiterator.h
  query/queryserviceclient.h
  query/queryparser.h
  query/standardqueries.h
  datamanagement/simpleresource.h
  datamanagement/simpleresourcegraph.h
  datamanagement/datamanagement.h
  datamanagement/createresourcejob.h
  datamanagement/describeresourcesjob.h
  datamanagement/resourcewatcher.h
  datamanagement/storeresourcesjob.h
  ${CMAKE_CURRENT_BINARY_DIR}/queryinterface.h
  ${CMAKE_CURRENT_BINARY_DIR}/queryserviceinterface.h
  ${CMAKE_CURRENT_BINARY_DIR}/nepomukversion.h

  # Vocabularies
  ${CMAKE_CURRENT_BINARY_DIR}/nie.h
  ${CMAKE_CURRENT_BINARY_DIR}/nfo.h
  ${CMAKE_CURRENT_BINARY_DIR}/ncal.h
  ${CMAKE_CURRENT_BINARY_DIR}/nco.h
  ${CMAKE_CURRENT_BINARY_DIR}/nmo.h
  ${CMAKE_CURRENT_BINARY_DIR}/nmm.h
  ${CMAKE_CURRENT_BINARY_DIR}/nexif.h
  ${CMAKE_CURRENT_BINARY_DIR}/pimo.h
  ${CMAKE_CURRENT_BINARY_DIR}/tmo.h
  ${CMAKE_CURRENT_BINARY_DIR}/nuao.h
  ${CMAKE_CURRENT_BINARY_DIR}/ndo.h
  vocabulary.h

  DESTINATION ${INCLUDE_INSTALL_DIR}/nepomuk2 COMPONENT Devel
)

install(
  FILES service/nepomukservice.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR})

install(
  FILES service/nepomukservice2.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR})

# API docs
find_package(Doxygen)

if(DOXYGEN_EXECUTABLE)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  add_custom_target(
    apidox
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile)
endif(DOXYGEN_EXECUTABLE)

=== removed-services/CMakeLists.txt ===
project(storage)

install(
  FILES
  nepomukbackupsync.desktop
  nepomukactivitiesservice.desktop
  nepomukontologyloader.desktop
  nepomukremovablestorageservice.desktop
  nepomukstrigiservice.desktop
  nepomukqueryservice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR})

=== server/CMakeLists.txt ===
project(nepomukserver)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=300001)

include_directories(
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${nepomukserver_BINARY_DIR}
  )

# NepomukServer
# -----------------------------

set(nepomukserver_SRCS
  nepomukserver.cpp
  servicemanager.cpp
  servicecontroller.cpp
  processcontrol.cpp
  main.cpp
  )

# Server configuration
kde4_add_kcfg_files(nepomukserver_SRCS nepomukserversettings.kcfgc)

qt4_add_dbus_adaptor(nepomukserver_SRCS
  ../interfaces/org.kde.NepomukServer.xml
  nepomukserver.h
  Nepomuk2::Server)
qt4_add_dbus_adaptor(nepomukserver_SRCS
  ../interfaces/org.kde.nepomuk.ServiceManager.xml
  servicemanager.h
  Nepomuk2::ServiceManager)

qt4_add_dbus_interface(nepomukserver_SRCS
  ../interfaces/org.kde.nepomuk.ServiceControl.xml
  servicecontrolinterface)

kde4_add_kdeinit_executable(nepomukserver ${nepomukserver_SRCS})

target_link_libraries(kdeinit_nepomukserver
  ${KDE4_KDEUI_LIBS}
  ${SOPRANO_LIBRARIES}
  ${SOPRANO_SERVER_LIBRARIES}
  )

target_link_libraries(nepomukserver
  kdeinit_nepomukserver
)

install(
  FILES nepomukserver.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR})

install(
  TARGETS kdeinit_nepomukserver
  DESTINATION ${LIB_INSTALL_DIR})

install(
  TARGETS nepomukserver
  ${INSTALL_TARGETS_DEFAULT_ARGS})
# -----------------------------

=== tools/CMakeLists.txt ===
add_subdirectory(nepomukctl)
add_subdirectory(nepomukcmd)
add_subdirectory(nepomukshow)
add_subdirectory(nepomuksearch)

=== autotests/test/CMakeLists.txt ===
include(${NEPOMUK_TESTLIB_CMAKE_DIR}/NepomukTestLibMacros.cmake)

#
# Resource Tests
#

set( RESOURCE_TESTS_SRC resourcetests.cpp )

# we are linking a static nepomuktestlib, no need for exports then

add_definitions(-DNEPOMUKTEST_EXPORT=)

kde4_add_executable(resourcetest ${RESOURCE_TESTS_SRC})

target_link_libraries(resourcetest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
  nepomukcore
  nepomuktestlib
)

add_nepomuk_test(NepomukResourceTest ${CMAKE_CURRENT_BINARY_DIR}/resourcetest)

#
# Query Tests
#

set( QUERY_TESTS_SRC querytests.cpp )

kde4_add_executable(querytests ${QUERY_TESTS_SRC})

target_link_libraries(querytests
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
  nepomukcore
  nepomuktestlib
)

add_nepomuk_test(QueryTests ${CMAKE_CURRENT_BINARY_DIR}/querytests)


#
# Query Service Tests
#

set( QUERY_SERVICE_TESTS_SRC queryservicetest.cpp )

kde4_add_executable(queryservicetest ${QUERY_SERVICE_TESTS_SRC})

target_link_libraries(queryservicetest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
  nepomuktestlib
  nepomukcore
)

add_nepomuk_test(QueryServiceTest ${CMAKE_CURRENT_BINARY_DIR}/queryservicetest)

#
# Backup Tests
#

set( BACKUP_TESTS_SRC backuptests.cpp )

set_source_files_properties(
  ../../interfaces/org.kde.nepomuk.BackupManager.xml
  PROPERTIES INCLUDE "QtCore/QList")
set_source_files_properties(
  ../../interfaces/org.kde.nepomuk.BackupManager.xml
  PROPERTIES INCLUDE "QtCore/QString")

qt4_add_dbus_interface( BACKUP_TESTS_SRC
                        ../../interfaces/org.kde.nepomuk.BackupManager.xml
                        backupmanagerinterface )

kde4_add_executable(backuptests ${BACKUP_TESTS_SRC})

target_link_libraries(backuptests
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
  nepomuktestlib
  nepomukcore
)

add_nepomuk_test(BackupTests ${CMAKE_CURRENT_BINARY_DIR}/backuptests)

#
# Async Tests
#
kde4_add_executable(asyncclientapitest 
    asyncclientapitest.cpp
)

target_link_libraries(asyncclientapitest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
  nepomuktestlib
  nepomukcore
)

add_nepomuk_test(AsyncClientApiTest ${CMAKE_CURRENT_BINARY_DIR}/asyncclientapitest)

#
# Normal Tests ( Do not require the testing environment )
#

# Query tests
# --------------------------------------------
set(queryparsertest_SRC queryparsertest.cpp)
kde4_add_unit_test(queryparsertest TESTNAME nepomuk-queryparsertest NOGUI ${queryparsertest_SRC})
target_link_libraries(queryparsertest nepomukcore
  ${QT_QTTEST_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
)

set(querylibtest_SRC querylibtest.cpp)
kde4_add_unit_test(querylibtest TESTNAME nepomuk-querylibtest NOGUI ${querylibtest_SRC})
target_link_libraries(querylibtest nepomukcore
  ${QT_QTTEST_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
)

set(queryserializertest_SRC queryserializertest.cpp)
kde4_add_unit_test(queryserializertest TESTNAME nepomuk-queryserializertest NOGUI ${queryserializertest_SRC})
target_link_libraries(queryserializertest nepomukcore
  ${QT_QTTEST_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
)

# DMS Tests
# -------------------------------------------

kde4_add_unit_test(simpleresourceclassestest
  simpleresourceclassestest.cpp
)
target_link_libraries(simpleresourceclassestest
  nepomukcore
  ${QT_QTTEST_LIBRARY}
  ${QT_QTCORE_LIBRARY}
)

#
# Store Resources Benchmark
#

set( STORE_RESOURCES_BENCHMARK_SRC storeresourcesbenchmark.cpp )

kde4_add_executable(storeresourcesbenchmark ${STORE_RESOURCES_BENCHMARK_SRC})

target_link_libraries(storeresourcesbenchmark
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
  nepomukcore
  nepomuktestlib
)

add_nepomuk_test(StoreResourcesBenchmark ${CMAKE_CURRENT_BINARY_DIR}/storeresourcesbenchmark)

=== tools/nepomukctl/CMakeLists.txt ===
project(nepomukctl)

find_package(KDE4 REQUIRED)

include(KDE4Defaults)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${CMAKE_SOURCE_DIR}
  )

set(SRCS main.cpp)

kde4_add_executable(nepomukctl ${SRCS})

target_link_libraries( nepomukctl
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${KDE4_KDECORE_LIBS}
  )

install(TARGETS nepomukctl
        DESTINATION ${BIN_INSTALL_DIR})

=== tools/nepomuksearch/CMakeLists.txt ===
project(nepomuksearch)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${NEPOMUK_CORE_INCLUDE_DIR}
  )

set( SRCS
  main.cpp
)

kde4_add_executable(nepomuksearch ${SRCS})

target_link_libraries(nepomuksearch
  ${KDE4_KDECORE_LIBS}
  ${SOPRANO_LIBRARIES}
  nepomukcore
  )

install(TARGETS nepomuksearch
        DESTINATION ${BIN_INSTALL_DIR})

=== autotests/lib/tools/CMakeLists.txt ===

#
# Scripts
#

# Configure the scripts
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/dbus-session-begin.sh"
                "${CMAKE_CURRENT_BINARY_DIR}/dbus-session-begin.sh"
                IMMEDIATE @ONLY
)

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/dbus-session-end.sh"
                "${CMAKE_CURRENT_BINARY_DIR}/dbus-session-end.sh"
                IMMEDIATE @ONLY
)

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/nepomuk-sandbox-begin.sh.in"
                "${CMAKE_CURRENT_BINARY_DIR}/nepomuk-sandbox-begin.sh"
                IMMEDIATE @ONLY
)

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/nepomuk-sandbox-end.sh.in"
                "${CMAKE_CURRENT_BINARY_DIR}/nepomuk-sandbox-end.sh"
                IMMEDIATE @ONLY
)

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/runNepomukTest.sh.in"
                "${CMAKE_CURRENT_BINARY_DIR}/runNepomukTest.sh"
                IMMEDIATE @ONLY
)

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/reallyRunNepomukTest.sh.in"
                "${CMAKE_CURRENT_BINARY_DIR}/reallyRunNepomukTest.sh"
                IMMEDIATE @ONLY
)

=== services/storage/migrator/CMakeLists.txt ===
project(nepomukmigrator)

set( MIGRATOR_SRCS
  wizard.cpp
  main.cpp
  systray.cpp
)

#----- DBus interfaces --------

set_source_files_properties(
  ../../../../interfaces/org.kde.nepomuk.BackupManager.xml
  PROPERTIES INCLUDE "QtCore/QList")
set_source_files_properties(
  ../../../../interfaces/org.kde.nepomuk.BackupManager.xml
  PROPERTIES INCLUDE "QtCore/QString")

qt4_add_dbus_interface( MIGRATOR_SRCS
                        ../../../interfaces/org.kde.nepomuk.Storage.xml
                        storageinterface )

kde4_add_ui_files( MIGRATOR_SRCS
  errorpage.ui
)

kde4_add_executable(nepomukmigrator ${MIGRATOR_SRCS})

target_link_libraries(nepomukmigrator
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${SOPRANO_LIBRARIES}
  nepomukcore
  )

install(TARGETS nepomukmigrator ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== services/fileindexer/indexer/test/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

configure_file(indexerextractortestsconfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/indexerextractortestsconfig.h @ONLY)

kde4_add_unit_test(indexerextractortests
  indexerextractortests.cpp
  ../plaintextextractor.cpp)

target_link_libraries(indexerextractortests
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  nepomukextractor
  nepomukcommon
  nepomukcore
)

=== services/storage/backup/gui/CMakeLists.txt ===
project(nepomukbackup_gui)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BUILD_DIR}
  )

set( NepomukBackup_GUI_SRCS
  fileconflictwidget.cpp
  backupwizardpages.cpp
  backupwizard.cpp
  main.cpp
)

#----- DBus interfaces --------

set_source_files_properties(
  ../../../../interfaces/org.kde.nepomuk.BackupManager.xml
  PROPERTIES INCLUDE "QtCore/QList")
set_source_files_properties(
  ../../../../interfaces/org.kde.nepomuk.BackupManager.xml
  PROPERTIES INCLUDE "QtCore/QString")

qt4_add_dbus_interface( NepomukBackup_GUI_SRCS
                        ../../../../interfaces/org.kde.nepomuk.BackupManager.xml
                        backupmanagerinterface )

#------UI Interface files ------

kde4_add_ui_files( NepomukBackup_GUI_SRCS
  intropage.ui
  backupsettingspage.ui
  restoreselection.ui
  errorpage.ui
)

kde4_add_executable(nepomukbackup ${NepomukBackup_GUI_SRCS})

target_link_libraries(nepomukbackup
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${SOPRANO_LIBRARIES}
  nepomukcore
  )

install(TARGETS nepomukbackup ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(PROGRAMS nepomukbackup.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
nepomuk-core (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:24:37 +0100

nepomuk-core (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:52:09 +0200

nepomuk-core (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release
    - Drop kubuntu_baloo-migrator-autostart.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:51:36 +0100

nepomuk-core (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * Add kubuntu_baloo-migrator-autostart.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:57:58 +0000

nepomuk-core (4:4.12.90-0ubuntu1~ubuntu14.04~ppa3) trusty; urgency=medium

  * New upstream beta release
  * Add baloo build-deps and add nepomukbaloomigrator to
    nepomuk-core-runtime
  * In override_dh_shlibdeps do not runtime dep on baloo to stop
    circular dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2014 00:30:51 +0000

nepomuk-core (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:13:00 +0100

nepomuk-core (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:23:57 +0000

nepomuk-core (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:37:35 +0000

nepomuk-core (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:39:37 +0000

nepomuk-core (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:36:56 +0000

nepomuk-core (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:34:39 +0100

nepomuk-core (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release
    - Update install files

  [ Philip Muškovac ]
  * Build-depend on libqmobipocket-dev
  * Add nepomukmobiextractor to install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:56:13 +0100

=== debian/control ===
Source: nepomuk-core
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 kdelibs5-dev (>= 4:4.13.0),
 debhelper (>= 9),
 cmake (>= 2.6.4),
 pkg-kde-tools (>= 0.14),
 libsoprano-dev (>= 2.9.3),
 shared-desktop-ontologies (>= 0.10.51),
 libpoppler-qt4-dev,
 libtag1-dev,
 libexiv2-dev,
 libavformat-dev,
 libepub-dev,
 doxygen,
 libqmobipocket-dev (>= 4:4.13.0),
 baloo-dev (>= 4:4.13.0),
 libkfilemetadata-dev (>= 4:4.13.0)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/nepomuk-core.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/nepomuk-core.git

Package: nepomuk-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${allLibraries}, python, nepomuk-core-runtime,
 shared-desktop-ontologies
Breaks: kde-runtime-dev (<< 4:4.8.80)
Replaces: kde-runtime-dev (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- development files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the development files for nepomuk-core.

Package: nepomuk-core
Architecture: all
Depends: nepomuk-core-runtime, ${misc:depends}
Priority: extra
Section: oldlibs
Description: Nepomuk Semantik Desktop core libraries - transitional package
 The core Nepomuk system contains of the central services like file
 indexing, file system monitoring, query, and of course storage, as
 well as the corresponding client libraries.
 .
 This is a transitional package for nepomuk-core-runtime and can be
 safely removed after installation.

Package: nepomuk-core-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-runtime (<< 4:4.8.80), nepomuk-core (<< 4:4.10.50)
Replaces: kde-runtime (<< 4:4.8.80), nepomuk-core (<< 4:4.10.50)
Description: Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the runtime files from nepomuk-core.

Package: nepomuk-core-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-runtime-data (<< 4:4.8.80)
Replaces: kde-runtime-data (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- shared data files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the architecure independent files from nepomuk-core.

Package: nepomuk-core-ffmpegextractor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nepomuk Semantik Desktop core libraries -- Video Tag reader
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the plugin which uses FFmpeg for reading video tags.
 . 
 It is not allowed on the CD due to concerns with software patents in FFmpeg.

Package: libnepomukcore4abi1
X-Debian-ABI: 1
Section: libs
Architecture: any
Depends: nepomuk-core-data, ${misc:Depends}, ${shlibs:Depends}
Description: Nepomuk Meta Data Library
 This is the KDE Meta Data library (not to confuse with
 KFileMetaData). It consists of the following parts:
  - The main resource handling centered around Nepomuk::Resource
  - The handling of ontologies via classes in the Nepomuk::Types namespace
  - The desktop Nepomuk::Query API
  - Several utility methods and classes

Package: libnepomukcleaner4
X-Debian-ABI: 0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, nepomuk-core-data
Description: Nepomuk Index Cleaner library
 Shared components for the nepomuk index cleaner. Contains the
 Nepomuk2::CleaningJob for managing the index cleaner activities.

Package: nepomuk-core-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${allLibraries},
 nepomuk-core-runtime (= ${binary:Version})
Breaks: kde-runtime-dbg (<< 4:4.8.80)
Replaces: kde-runtime-dbg (<< 4:4.8.80)
Description: debugging symbols for the Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains debugging files used to investigate problems with the
 core Nepomuk system mentioned above.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk


override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test


override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_shlibdeps:
	$(overridden_command) -- -xkde-runtime -xbaloo

override_dh_strip:
	$(overridden_command) --dbg-package=nepomuk-core-dbg

# Library stuff
libpkgs_addsubst_allLibraries = nepomuk-core-dev nepomuk-core-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/nepomuk-core-([\d\.]*).tar.xz

## nepomuk-core 4.13.3

=== CMakeLists.txt ===
project(nepomuk-core)
# set_package_properties appeared in cmake 2.8.6
# TODO: Remove when kdelibs >= 4.10 will be required
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

# CTest setup
# ===============================================================================================
include(CTest)
include(CTestConfig.cmake)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake COPYONLY)

# search required packages
# ===============================================================================================
find_package(KDE4 4.9.4 REQUIRED)
include(KDE4Defaults)

# TODO: Remove this block and the cmake directory when kdelibs >= 4.10 will be required
# if(KDE_VERSION VERSION_LESS 4.10.00)
  set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
# endif()

find_package(SharedDesktopOntologies 0.10.51)
set_package_properties(SharedDesktopOntologies PROPERTIES DESCRIPTION "Shared Desktop Ontologies" URL "http://oscaf.sourceforge.net" TYPE REQUIRED PURPOSE "Ontologies necessary for the Nepomuk semantic desktop")

find_package(Soprano 2.9.3 COMPONENTS PLUGIN_RAPTORPARSER PLUGIN_REDLANDBACKEND PLUGIN_VIRTUOSOBACKEND)
set_package_properties(Soprano PROPERTIES DESCRIPTION "Qt-based RDF storage and parsing solution" URL "http://soprano.sourceforge.net" TYPE REQUIRED PURPOSE "Required for everything (storage and general data management)")

# Poppler
find_package(PopplerQt4 0.12.1)
set_package_properties(PopplerQt4 PROPERTIES DESCRIPTION "A PDF rendering library" URL "http://poppler.freedesktop.org" TYPE OPTIONAL PURPOSE "Support for PDF files")

find_package(Taglib)
set_package_properties(Taglib PROPERTIES DESCRIPTION "Id3 tag reader" URL "http://developer.kde.org/~wheeler/taglib.html" TYPE OPTIONAL PURPOSE "Support for music metadata")

find_package(Exiv2 0.21)
set_package_properties(Exiv2 PROPERTIES DESCRIPTION "Image Tag reader" URL "http://www.exiv2.org" TYPE OPTIONAL PURPOSE "Support for image metadata")

find_package(FFmpeg 1.0)
set_package_properties(FFmpeg PROPERTIES DESCRIPTION "Video Tag reader" URL "http://ffmpeg.org" TYPE OPTIONAL PURPOSE "Support for video metadata")

find_package(EPub)
set_package_properties(EPub PROPERTIES DESCRIPTION "Ebook epub reader" URL "http://sourceforge.net/projects/ebook-tools" TYPE OPTIONAL PURPOSE "Support for epub metadata")

find_package(QMobipocket)
set_package_properties(QMobipocket PROPERTIES DESCRIPTION "Mobipocket epub reader" URL "https://projects.kde.org/projects/kde/kdegraphics/kdegraphics-mobipocket" TYPE OPTIONAL PURPOSE "Support for mobi metadata")

find_package(KFileMetaData)
set_package_properties(KFileMetaData PROPERTIES DESCRIPTION "Library for extracting file metadata" URL "http://projects.kde.org/kfilemetadata" TYPE OPTIONAL)

find_package(Baloo)
set_package_properties(Baloo PROPERTIES DESCRIPTION "Baloo metadata search" URL "http://kde.org" TYPE OPTIONAL PURPOSE "Support for Baloo Migrator")

# set the version to be used by NepomukCoreConfig.cmake and the lib version
# ===============================================================================================
set(CMAKE_NEPOMUK_CORE_VERSION_MAJOR ${KDE_VERSION_MAJOR})
set(CMAKE_NEPOMUK_CORE_VERSION_MINOR ${KDE_VERSION_MINOR})
set(CMAKE_NEPOMUK_CORE_VERSION_RELEASE ${KDE_VERSION_RELEASE})
set(CMAKE_NEPOMUK_CORE_VERSION_STRING "${CMAKE_NEPOMUK_CORE_VERSION_MAJOR}.${CMAKE_NEPOMUK_CORE_VERSION_MINOR}.${CMAKE_NEPOMUK_CORE_VERSION_RELEASE}")

# Some definitions
# ===============================================================================================
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

# Add all the parts that make up nepomuk-core
# ===============================================================================================
include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${nepomuk-core_SOURCE_DIR}/libnepomukcore
  ${nepomuk-core_SOURCE_DIR}/libnepomukcore/resource
  ${nepomuk-core_SOURCE_DIR}/libnepomukcore/service
  ${nepomuk-core_SOURCE_DIR}/libnepomukcore/query
  ${nepomuk-core_SOURCE_DIR}/libnepomukcore/types
  ${nepomuk-core_SOURCE_DIR}/libnepomukcore/datamanagement
  ${nepomuk-core_SOURCE_DIR}/libnepomukcore/misc
  ${nepomuk-core_SOURCE_DIR}/common
  ${nepomuk-core_BINARY_DIR}/common
  ${nepomuk-core_BINARY_DIR}/libnepomukcore
)

add_subdirectory(libnepomukcore)
add_subdirectory(rcgen)
add_subdirectory(ontologies)
add_subdirectory(common)
add_subdirectory(server)
add_subdirectory(services)
add_subdirectory(servicestub)
add_subdirectory(cleaner)
add_subdirectory(interfaces)
add_subdirectory(removed-services)
add_subdirectory(includes)
add_subdirectory(tools)

if(Baloo_FOUND AND KFileMetaData_FOUND)
  add_subdirectory(baloo)
endif()

if(KDE4_BUILD_TESTS)
  add_subdirectory(tests)
  add_subdirectory(autotests)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# generate NepomukCoreConfig.cmake for easy utilisation of the package by other cmake build systems
# ===============================================================================================

macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if(IS_ABSOLUTE "${in}")
      set(${out} "${in}")
   else()
      set(${out} "\${CMAKE_INSTALL_PREFIX}/${in}")
   endif()
endmacro()

make_install_path_absolute(NEPOMUK_CORE_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(NEPOMUK_CORE_LIB_DIR ${LIB_INSTALL_DIR})
make_install_path_absolute(NEPOMUK_CORE_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})

configure_file(NepomukCoreConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/NepomukCoreConfig.cmake @ONLY)

# Generate NepomukCoreConfigVersion.cmake
macro_write_basic_cmake_version_file(${nepomuk-core_BINARY_DIR}/NepomukCoreConfigVersion.cmake
                                     ${CMAKE_NEPOMUK_CORE_VERSION_MAJOR}
                                     ${CMAKE_NEPOMUK_CORE_VERSION_MINOR}
                                     ${CMAKE_NEPOMUK_CORE_VERSION_RELEASE}
                                     )

install(FILES
  Nepomuk2AddOntologyClasses.cmake
  DESTINATION ${LIB_INSTALL_DIR}/cmake/NepomukCore)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/NepomukCoreConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/NepomukCoreConfigVersion.cmake
  DESTINATION ${LIB_INSTALL_DIR}/cmake/NepomukCore)

# install the file with the exported targets
install(EXPORT NepomukCoreLibraryTargets
        DESTINATION ${LIB_INSTALL_DIR}/cmake/NepomukCore
        FILE NepomukCoreTargetsWithPrefix.cmake
        )

=== autotests/CMakeLists.txt ===
set (NEPOMUK_TESTLIB_TOOLS_DIR
    "${CMAKE_CURRENT_BINARY_DIR}/lib/tools")

set (NEPOMUK_TESTLIB_CMAKE_DIR
    "${CMAKE_CURRENT_BINARY_DIR}/lib")

set (NEPOMUK_TESTLIB_DATA_DIR
    "${CMAKE_CURRENT_BINARY_DIR}/lib")

add_subdirectory( lib )
add_subdirectory( test )

=== baloo/CMakeLists.txt ===
project(nepomukbaloomigrator)

include_directories(${BALOO_INCLUDE_DIR} ${KFILEMETADATA_INCLUDE_DIR})

set( BALOO_MIGRATOR_SRCS
  main.cpp
  systray.cpp
)

qt4_add_dbus_interface( BALOO_MIGRATOR_SRCS
                        ../interfaces/org.kde.NepomukServer.xml
                        serverinterface )

kde4_add_executable(nepomukbaloomigrator ${BALOO_MIGRATOR_SRCS})

target_link_libraries(nepomukbaloomigrator
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${SOPRANO_LIBRARIES}
  ${BALOO_LIBRARIES}
  nepomukcore
)

install(FILES nepomukbaloomigrator.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

install(TARGETS nepomukbaloomigrator ${INSTALL_TARGETS_DEFAULT_ARGS})

=== cleaner/CMakeLists.txt ===
project(nepomukcleaner)

include_directories(${nepomuk-core_SOURCE_DIR}/libnepomukcore)

kde4_add_library( nepomukcleaner SHARED cleaningjob.cpp )

set_target_properties(nepomukcleaner PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
)

target_link_libraries(nepomukcleaner
  ${KDE4_KDECORE_LIBS}
  ${SOPRANO_LIBRARIES}
  nepomukcore
  )

set( cleaner_SRCS
  jobmodel.cpp
  cleaningjobs.cpp
  main.cpp
  mainwindow.cpp
)

kde4_add_executable( nepomukcleaner-bin ${cleaner_SRCS} )

SET_TARGET_PROPERTIES(nepomukcleaner-bin
  PROPERTIES RUNTIME_OUTPUT_NAME nepomukcleaner)

target_link_libraries( nepomukcleaner-bin
  nepomukcleaner
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${SOPRANO_LIBRARIES}
  nepomukcore
  )

install(TARGETS nepomukcleaner
        DESTINATION ${LIB_INSTALL_DIR})
install(TARGETS nepomukcleaner-bin
        DESTINATION ${BIN_INSTALL_DIR})
install(PROGRAMS nepomukcleaner.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(
  FILES nepomukcleaningjob.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES
  cleaningjob.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/nepomuk2 COMPONENT Devel)

=== interfaces/CMakeLists.txt ===
project(nepomuk_interfaces)

install(FILES
  org.kde.NepomukServer.xml
  org.kde.nepomuk.ServiceControl.xml
  org.kde.nepomuk.ServiceManager.xml
  org.kde.nepomuk.FileIndexer.xml
  org.kde.nepomuk.FileWatch.xml
  org.kde.nepomuk.OntologyManager.xml
  org.kde.nepomuk.Storage.xml
  org.kde.nepomuk.QueryService.xml
  org.kde.nepomuk.Query.xml
  org.kde.nepomuk.BackupManager.xml
  org.kde.nepomuk.DataManagement.xml
  org.kde.nepomuk.ResourceWatcher.xml
  org.kde.nepomuk.ResourceWatcherConnection.xml
  DESTINATION ${DBUS_INTERFACES_INSTALL_DIR}
  )

=== rcgen/CMakeLists.txt ===
project(nepomuk2_rcgen)

include_directories(
  ${nepomuk2_rcgen_SOURCE_DIR}
)

set(nepomuk2_rcgen_SRCS
  codegenerator.cpp
  property.cpp
  rcgen.cpp
  resourceclass.cpp
  safecode.cpp
  ontologyparser.cpp)

qt4_add_resources(nepomuk2_rcgen_SRCS templates.qrc)
kde4_add_executable(nepomuk2-rcgen NOGUI ${nepomuk2_rcgen_SRCS})
target_link_libraries(nepomuk2-rcgen
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
)

install(TARGETS nepomuk2-rcgen ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== services/CMakeLists.txt ===
add_subdirectory(storage)
add_subdirectory(filewatch)
add_subdirectory(fileindexer)

=== autotests/lib/CMakeLists.txt ===
#
# nepomukserverrc config file
#
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/nepomukserverrc.in"
                "${CMAKE_CURRENT_BINARY_DIR}/nepomukserverrc"
                IMMEDIATE @ONLY
)

#
# CMake Macros
#

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/NepomukTestLibMacros.cmake.in"
                "${CMAKE_CURRENT_BINARY_DIR}/NepomukTestLibMacros.cmake"
                IMMEDIATE @ONLY
)

#
# Source code
#

set (nepomuk_testlib_SRCS
    datagenerator.cpp
    testbase.cpp
)

qt4_add_dbus_interface(nepomuk_testlib_SRCS ../../interfaces/org.kde.nepomuk.ServiceManager.xml nepomukservicemanagerinterface)

# nepomuktestlib is static, no need for exports
add_definitions(-DNEPOMUKTEST_EXPORT=)

kde4_add_library (nepomuktestlib
                  STATIC
                  ${nepomuk_testlib_SRCS}
)

add_dependencies(nepomuktestlib nepomukcore)

target_link_libraries (nepomuktestlib
                       ${QT_QTCORE_LIBRARY}
                       ${QT_QTDBUS_LIBRARY}
                       ${QT_QTTEST_LIBRARY}
                       nepomukcore
)

set_target_properties (nepomuktestlib PROPERTIES
                       VERSION ${GENERIC_LIB_VERSION}
                       SOVERSION ${GENERIC_LIB_SOVERSION}
)

set( nepomuk_testlib_HEADERS
     testbase.h
     nepomuktest_export.h
)

add_subdirectory(tools)

=== services/fileindexer/CMakeLists.txt ===
project(fileindexerservice)

include(SopranoAddOntology)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=300106)

include_directories(
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  )

set(nepomukfileindexer_SRCS
  fileindexer.cpp
  indexscheduler.cpp
  indexingqueue.cpp
  basicindexingqueue.cpp
  fileindexingqueue.cpp
  fileindexingjob.cpp
  indexcleaner.cpp
  fileindexerconfig.cpp
  indexer/simpleindexer.cpp
  eventmonitor.cpp
  util.cpp
  )

soprano_add_ontology(nepomukfileindexer_SRCS ${nepomuk_ontologies_SOURCE_DIR}/kext.trig "KExt" "Nepomuk2::Vocabulary" "trig")

qt4_add_dbus_adaptor(nepomukfileindexer_SRCS ../../interfaces/org.kde.nepomuk.FileIndexer.xml fileindexer.h Nepomuk2::FileIndexer )

qt4_add_dbus_interface(nepomukfileindexer_SRCS ../../interfaces/org.kde.nepomuk.FileWatch.xml filewatchserviceinterface)

kde4_add_executable(nepomukfileindexer ${nepomukfileindexer_SRCS})

target_link_libraries(nepomukfileindexer
  nepomukcommon
  nepomukcore
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS}
  ${KDE4_KIDLETIME_LIBS}
  ${SOPRANO_LIBRARIES}
)

install(
  FILES nepomukfileindexer.desktop
  DESTINATION ${SERVICES_INSTALL_DIR})

install(
  FILES nepomukfileindexer.notifyrc
  DESTINATION ${DATA_INSTALL_DIR}/fileindexerservice)

install(
  TARGETS nepomukfileindexer
  DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(indexer)
add_subdirectory(test)
# -----------------------------

=== tools/nepomukcmd/CMakeLists.txt ===
project(nepomukcmd)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${NEPOMUK_CORE_INCLUDE_DIR}
  )

set( SRCS
  main.cpp
)

kde4_add_executable(nepomukcmd ${SRCS})

target_link_libraries(nepomukcmd
  ${KDE4_KDECORE_LIBS}
  ${SOPRANO_LIBRARIES}
  nepomukcore
  )

install(TARGETS nepomukcmd
        DESTINATION ${BIN_INSTALL_DIR})

=== services/fileindexer/indexer/CMakeLists.txt ===
project(nepomukindexer)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  )

kde4_add_library(nepomukextractor SHARED extractorplugin.cpp)

target_link_libraries(nepomukextractor
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  nepomukcore
)

install(TARGETS nepomukextractor EXPORT NepomukCoreLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

set(indexer_SRCS
  main.cpp
  indexer.cpp
  simpleindexer.cpp
  extractorpluginmanager.cpp
  ../util.cpp
  ../../../servicestub/priority.cpp
  )

soprano_add_ontology(indexer_SRCS ${nepomuk_ontologies_SOURCE_DIR}/kext.trig "KExt" "Nepomuk2::Vocabulary" "trig")

kde4_add_executable( nepomukindexer ${indexer_SRCS} )

target_link_libraries( nepomukindexer
  nepomukcommon
  nepomukcore
  nepomukextractor
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${SOPRANO_LIBRARIES}
  )

install(
  TARGETS nepomukindexer
  DESTINATION ${BIN_INSTALL_DIR} )

install(
  FILES nepomukextractor.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR})

# -----------------------------
# Extractors
#

if(POPPLER_QT4_FOUND)
    include_directories( ${POPPLER_QT4_INCLUDE_DIR} )

    kde4_add_plugin( nepomukpopplerextractor popplerextractor.cpp )

    target_link_libraries( nepomukpopplerextractor
        nepomukcore
        nepomukextractor
        ${KDE4_KIO_LIBS}
        ${POPPLER_QT4_LIBRARIES}
    )

    install(
    FILES nepomukpopplerextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS nepomukpopplerextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(POPPLER_QT4_FOUND)

if(TAGLIB_FOUND)
    include_directories( ${TAGLIB_INCLUDES} )

    kde4_add_plugin( nepomuktaglibextractor taglibextractor.cpp )

    target_link_libraries( nepomuktaglibextractor
        nepomukcore
        nepomukextractor
        ${KDE4_KIO_LIBS}
        ${TAGLIB_LIBRARIES}
    )

    install(
    FILES nepomuktaglibextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS nepomuktaglibextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(TAGLIB_FOUND)

if(EXIV2_FOUND)
    include_directories( ${EXIV2_INCLUDE_DIR} )

    set_source_files_properties( exiv2extractor.cpp PROPERTIES
        COMPILE_FLAGS "${KDE4_ENABLE_EXCEPTIONS}"
        )

    kde4_add_plugin( nepomukexiv2extractor exiv2extractor.cpp )

    target_link_libraries( nepomukexiv2extractor
        nepomukcore
        nepomukextractor
        ${KDE4_KIO_LIBS}
        ${EXIV2_LIBRARIES}
    )

    install(
    FILES nepomukexiv2extractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS nepomukexiv2extractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(EXIV2_FOUND)

if(FFMPEG_FOUND)
    include_directories( ${FFMPEG_INCLUDE_DIRS} )

    kde4_add_plugin( nepomukffmpegextractor ffmpegextractor.cpp )

    target_link_libraries( nepomukffmpegextractor
        nepomukcore
        nepomukextractor
        ${KDE4_KIO_LIBS}
        ${FFMPEG_LIBRARIES}
    )

    install(
    FILES nepomukffmpegextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS nepomukffmpegextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(FFMPEG_FOUND)


if(EPUB_FOUND)
    include_directories( ${EPUB_INCLUDE_DIR} )

    kde4_add_plugin( nepomukepubextractor epubextractor.cpp )

    target_link_libraries( nepomukepubextractor
        nepomukcore
        nepomukextractor
        ${KDE4_KIO_LIBS}
        ${EPUB_LIBRARIES}
    )

    install(
    FILES nepomukepubextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS nepomukepubextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(EPUB_FOUND)

#
# Plain Text
#
kde4_add_plugin( nepomukplaintextextractor plaintextextractor.cpp )

target_link_libraries( nepomukplaintextextractor
    nepomukcore
    nepomukextractor
    ${KDE4_KIO_LIBS}
    ${FFMPEG_LIBRARIES}
)

install(
FILES nepomukplaintextextractor.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS nepomukplaintextextractor
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# ODF
#

kde4_add_plugin( nepomukodfextractor odfextractor.cpp )

target_link_libraries( nepomukodfextractor
    nepomukcore
    nepomukextractor
    ${KDE4_KIO_LIBS}
)

install(
FILES nepomukodfextractor.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS nepomukodfextractor
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Office 2007
#

kde4_add_plugin( nepomukoffice2007extractor office2007extractor.cpp )

target_link_libraries( nepomukoffice2007extractor
    nepomukcore
    nepomukextractor
    ${KDE4_KIO_LIBS}
)

install(
FILES nepomukoffice2007extractor.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS nepomukoffice2007extractor
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Office (binary formats)
#

kde4_add_plugin( nepomukofficeextractor officeextractor.cpp )

target_link_libraries( nepomukofficeextractor
    nepomukcore
    nepomukextractor
    ${KDE4_KIO_LIBS}
)

install(
FILES nepomukofficeextractor.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS nepomukofficeextractor
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Mobipocket
#
if (QMOBIPOCKET_FOUND)
    add_subdirectory(mobipocket)
endif(QMOBIPOCKET_FOUND)

add_subdirectory(test)

=== services/filewatch/test/CMakeLists.txt ===
project(filewatch_tests)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  set(kinotifytest_SRC kinotifytest.cpp ../kinotify.cpp)
  kde4_add_unit_test(kinotifytest TESTNAME nepomuk-kinotifytest NOGUI ${kinotifytest_SRC})
  target_link_libraries(kinotifytest nepomukcore
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
  )
endif(CMAKE_SYSTEM_NAME MATCHES "Linux")

set(activefilequeuetest_SRC activefilequeuetest.cpp ../activefilequeue.cpp)
kde4_add_unit_test(activefilequeuetest TESTNAME nepomuk-activefilequeuetest NOGUI ${activefilequeuetest_SRC})
target_link_libraries(activefilequeuetest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
)

=== debian/changelog ===
nepomuk-core (4:4.13.3-0ubuntu0.2) trusty-security; urgency=medium

  * No change rebuild for the -security pocket

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Nov 2014 09:30:05 -0500

nepomuk-core (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:36:58 +0200

nepomuk-core (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:53:58 +0200

nepomuk-core (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:55:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  debhelper (>= 9),
  cmake (>= 2.6.4),
  pkg-kde-tools (>= 0.14),
@@ -18,8 +18,8 @@
  libepub-dev,
  doxygen,
  libqmobipocket-dev (>= 4:4.13.0),
- baloo-dev (>= 4:4.13.0),
- libkfilemetadata-dev (>= 4:4.13.0)
+ baloo-dev (>= 4:4.13.3),
+ libkfilemetadata-dev (>= 4:4.13.3)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
